.share-verifiable-presentation {
  background: #ffffff url("/assets/blob-purple.svg") no-repeat;
  background-position-y: -5rem;
  background-position-x: -5rem;

  border: 1px dashed rgba(41, 69, 151, 0.88);
  box-shadow: 3px 5px 8px rgba(0, 0, 0, 0.06);
  border-radius: 4px;

  display: grid;
  grid-template-columns: 2rem repeat(7, 1fr) 2rem;
  grid-template-rows: 10rem 15rem auto auto 2rem;

  div:nth-child(1) {
    grid-column: 5/6;
    display: grid;
    align-items: center;
    justify-items: center;
  }

  div:nth-child(2) {
    grid-column: 3/8;
    text-align: center;
    font-size: 2rem;
    color: #d9d9d9;
  }

  .border-confirmation {
    border: #0d0d0d 1px solid;
    border-radius: 10px;
    background-color: #ffffff;
  }

  div:nth-child(3).border-confirmation {
    grid-column: 3/8;
    text-align: start;
    font-size: 1.4rem;
    padding: 2rem 0;

    display: grid;
    grid-template-columns: 2rem repeat(7, 1fr) 2rem;

    div:nth-child(1) {
      grid-column: 3/9;
      display: grid;
      align-items: center;
      justify-items: start;
    }

    div:nth-child(2) {
      grid-column: 3/4;

      display: flex;
      align-items: center;
      justify-items: start;

      img {
        margin-top: 1rem;
      }
    }

    div:nth-child(3) {
      grid-column: 5/8;
      font-size: 2.4rem;
      display: flex;
      align-items: center;
      justify-content: center;
      font-weight: 500;
    }

    div:nth-child(4) {
      grid-column: 5/9;
      text-align: start;
      font-size: 1.3rem;
      color: #294597;
    }

    div:nth-child(5) {
      grid-column: 3/4;
      display: grid;
      align-items: center;
      justify-items: start;
    }

    div:nth-child(6) {
      grid-column: 3/4;
      display: flex;
      align-items: center;
      justify-items: start;
      font-size: 1.4rem;
      margin-top: 1rem;
    }

    div:nth-child(7) {
      grid-column: 5/9;
      display: grid;
      align-items: start;
      justify-items: center;
      margin-top: 2rem;
      padding-bottom: 2rem;
    }
  }

  div:nth-child(4) {
    grid-column: 4/7;
    display: flex;
    justify-content: space-around;
    margin-top: 1rem;

    span {
      display: flex;
      justify-content: center;
      align-items: center;
    }
  }
}

@media screen and (min-width: 650px) {
  .share-verifiable-presentation {
    background-size: 100rem;
    grid-template-rows: 15rem 15rem auto 10rem;

    div:nth-child(4) {
      span {
        #cancel {
          --background: #ffffff;
        }
      }
    }
  }
}

@media screen and (min-width: 1450px) {
  .share-verifiable-presentation {
    background-size: 150rem;

    div:nth-child(3) {
      grid-column: 4/5;
      display: grid;
      align-items: center;
      justify-items: center;
    }
  }
}
